<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Forms</title>
</head>
<body>
	<h2 align="center">Welcome to the Forms Page</h2>

	<main>
		<section>
			<h2>HTML Forms</h2>

			<p>
				HTML Forms are used to gather information/data from our user and send that information to a server.
			</p>
		</section>

		<section>
			<form action="https://google.com">
				<label for="fname">Full Name:</label>

				<br>
				
				<input type="text" id="fname" name="fullName" required autocomplete />

				<br>

				<label for="bday">Birthdate:</label>

				<br>

				<input type="date" name="bdate" id="bday" required />

				<br>

				<label for="ageInput">Age:</label>

				<br>

				<input type="number" name="age" id="ageinput" min="18" max="40" required />

				<br>

				<label for="genderInput">Gender:</label>

				<br>

				<select name="gender" id="genderInput">
					<option value="Male">Male</option>
					<option value="Female">Female</option>
					<option value="other">Not to Mention</option>
					
				</select>

				<br>

				<label>New User</label>
				<br>

				<input type="radio" name="new_user" id="radioUser1" value="yes">
				<label for="radioUser1">Yes</label>

				<br>
				<input type="radio" name="new_user" id="radioUser2" value="no">
				<label for="radioUser2">No</label>
				
				<br>

				<label>Roles</label>
				<br>
				<input type="checkbox" name="role1" id="roleInput1" value="developer">
				<label for="roleInput1">Developer</label>
				<br>
				<input type="checkbox" name="role2" id="roleInput2">
				<label for="roleInput2">Student</label>
				<br>
				<input type="checkbox" name="role3" id="roleInput3">
				<label for="roleInput3">Manager</label>
				<br>

				<textarea name="message" rows="4" id="messageInput">
					
				</textarea>


				<br><br>
				<button type="submit">Submit</button>
				<button type="reset">Reset</button>


			</form>
		</section>
		
	</main>
	<!-- <a href="./index.html">Go Back to Index -->
</body>
</html>